cancel
Showing results for 
Search instead for 
Did you mean: 

Runtime is not registered in the landscape - Deploy iFlow

former_member187533
Participant
0 Kudos
529

Hi,

I created the iFlow through the perspective "IP Explorer", saved and activated development:

However when I try to perform deploy the application, error occurs:

When eye perspective "PI Runtime Explorer", really does not appear the files. But in RWB the channel appears.

Have you seen this?

Accepted Solutions (1)

Accepted Solutions (1)

former_member187533
Participant
0 Kudos

Thanks for the response of all! But the madness continues to haunt me.

The point that Praveen Gandepalli said, it really is true (I had not noticed this point). In iFlows occurring error, do not show the Runtime Systems.


The point is that compared the iFlows and both are pointing to the same adapter engine:

iFlow running the deploy:

iFlow don't running the deploy:

Do you know if there is any other point where inform this Adapter Engine?

former_member182412
Active Contributor
0 Kudos

Hi Lucas,

Can you select the adapter engine again from the drop down and save the iFlow and deploy and see if it works?

Regards,

Praveen.

former_member187533
Participant
0 Kudos

There is only one Adapter Engine option to choose from, so when I try to change it does not generate change to save again.

I try to change another parameter and save, however the problem persists.

engswee
Active Contributor
0 Kudos

Hi Lucas

I'll reemphasize Raghuraman's comment about using the correct NWDS version.

Can you please share what version and SP level is your PI/PO system, and which version & SP level of NWDS are you using?

We need to rule out the possibility that these issues are caused by version incompatibility.

Regards

Eng Swee

former_member187533
Participant
0 Kudos

NWDS:

SAP Enhancement Package 1 for SAP NetWeaver Developer Studio 7.3 SP17 PAT0005

PO:

7.4010.20150211130342.0000

Att;

former_member186851
Active Contributor
0 Kudos

Lucas try with the latest NWDS  version relevant to PO 7.4.

Lets see how it behaves.

former_member182412
Active Contributor
0 Kudos

Hi Lucas,

You need to install NWDS 7.31 SP15 because you have PO 7.4 SP10.

Check this SAP Note 1791485 - NWDS 7.3 EHP1 as development environment for SAP NetWeaver 7.4



Install SAP NetWeaver Developer Studio (NWDS) 7.3 EHP1 latest SP to use it as development environment for SAP NetWeaver 7.4 latest SP.

If you are using SAP NetWeaver 7.4 SP lower that the latest, please install SAP NetWeaver Developer Studio 7.3 EHP1 with SP version five levels higher than the number of your SAP NetWeaver 7.4 SP.

For example: You are using SAP NetWeaver 7.4 SP 4. You have to install SAP NetWeaver 7.31 EHP1 SP 9.

Regards,

Praveen.

former_member187533
Participant
0 Kudos

It works!!

I installed NWDS SP 15 and I managed perform successfully deploy!

Thanks a lot for the help!

Answers (3)

Answers (3)

former_member182412
Active Contributor
0 Kudos

Hi Lucas,

The runtime system is blank for your IFlow that is why you are getting above error.

Eng is right he said there is differences in the adapter engine, this one got blank value, select the adapter engine from the drop down and deploy the IFlow.

Regards,

Praveen.

former_member187533
Participant
0 Kudos

Thank you for your help!

Look at the crazy things I'm going through here.

I made the settings cited:

But when I deploy back to the same error occurs:

However when I deploy some of an existing iFlow, the deployment is successful.

former_member186851
Active Contributor
0 Kudos

Hello Lucas,

Make sure your using the correct NWDS version well.

Last week there was an issue where Interfaces were not displayed in IFLOW ,After changing the version it worked.

It was crazy, that's why I told you to check all the settings.

former_member186851
Active Contributor
0 Kudos


Hello Lucas,

Check whether your able to develop normal ICO in swing client and check once.

also maintain SAP As JAVA system in the preferences of NWDS.

former_member187533
Participant
0 Kudos

Thanks a lot for the help!

I set the note that said, however the problem persists:

vicky20691
Active Contributor
0 Kudos

Hi Lucas,

Go to windows-Prferences-> Enterprise ServiceBuilder and add ur system

Regards,

Vikas

vicky20691
Active Contributor
0 Kudos

Hi Lucas,

Also do this--

engswee
Active Contributor
0 Kudos

Entry for SAP AS Java is not required for iFlow deployment. It is only required if deploying adapter module or BPM/BRM.

Lucas,

You mentioned that you are able to deploy some existing iFlows but not a new iFlow. By any chance do you have multiple Adapter Engines, i.e. Central and Decentral Adapter Engine?

Can you compare if there are differences in the value of the Adapter Engine in the iFlow that can be deployed vs the one that can't?

Regards

Eng Swee